function objetoAjax(){
	var xmlhttp=false;
	try {
		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (e) {
		try {
		   xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		} catch (E) {
			xmlhttp = false;
  		}
	}

	if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}

function validarDocente()
{
	divResultado =document.getElementById('mensajes');
	var usuario= $('#user-name').val();
	usuario=usuario.replace(/[&/\#,+()--$.'""':?<>{}]/g,'_');
	var password= $('#password').val();
	password=password.replace(/[&/\#,+()--$.'""':?<>{}]/g,'_');
	
		var op=1;
		ajax=objetoAjax();
		ajax.open("POST", "procesos.php",true);

		ajax.onreadystatechange=function()
		 {
			if (ajax.readyState==4)
			   {   
                 
				 if(ajax.responseText==1)
					{	
					  $(location).attr('href','principal.php');				 					    
					}
					
					if(ajax.responseText==2)
					{	
					  $('#mensajes').fadeIn(1000);
						divResultado.innerHTML="Docente no Registrado...";				 					    
					}		
                  divResultado.innerHTML=ajax.responseText;
				}
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  ajax.send("opcion="+op+"&usuario="+usuario+"&password="+password)	 
}


function actualizarDatosPersonales()
{
	divResultado =document.getElementById('mensajes1');
    var Id1= $("#Id1").val();
	var celular= $("#txt_celular").val();
	var email= $("#txt_email").val();
	var op=3;
			ajax=objetoAjax();
			$('#mensajes1').fadeIn(1000);
			divResultado.innerHTML='<div class="text-primary f-24"><i class="feather icon-loader rotate-refresh"></i></div>';
			ajax.open("POST", "procesos.php", true);
			$('#bt_actualizar_personal').attr("disabled", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
                       //divResultado.innerHTML=ajax.responseText;
					if(ajax.responseText==1)
					{
						//divResultado.innerHTML=ajax.responseText;
						var mensaje="Datos Personales actualizado...";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);
						$('#bt_actualizar_personal').attr("disabled", false);
						$('#mensajes1').fadeOut(1000);
					}
					else
					{
						var mensaje=ajax.responseText;
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
						$('#bt_actualizar_personal').attr("disabled", false);
						$('#mensajes1').fadeOut(1000);
					}	
							     	
				}
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&Id1="+Id1+"&celular="+celular+"&email="+email)						
}
function listarNivelDocente(Id)
{
   divResultado =document.getElementById('cb_nivel');
   var nivel=Id;

   var op=4;
		ajax=objetoAjax();
		ajax.open("POST", "procesos.php",true);
		ajax.onreadystatechange=function() {		
			if (ajax.readyState==4) 
			{
		            divResultado.innerHTML =ajax.responseText;
		
			}
		}
		ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		ajax.send("opcion="+op+"&nivel="+nivel)
}

function registrarFormacionAcademica()
{
	divResultado =document.getElementById('mensajes');
    var Id= $("#Id").val();
    var num_orden= $("#cb_num_orden option:selected").val();
	var centro= $("#txt_centro_estudio").val();
	var especialidad= $("#txt_especialidad").val();
	var tipo= $("#cb_tipo_estudio option:selected").val();
	var nivel= $("#cb_nivel option:selected").val();
	var inicio= $("#txt_inicio").val();
	var termino= $("#txt_termino").val();
	var lugar= $("#txt_lugar").val();
    if(tipo>0)
    {
      var op=5;
			ajax=objetoAjax();
			$('#mensajes').fadeIn(1000);
			divResultado.innerHTML='<div class="text-primary f-24"><i class="feather icon-loader rotate-refresh"></i></div>';
			$('#bt_registrar_formacion').attr("disabled", true);
			ajax.open("POST", "procesos.php", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{
						//divResultado.innerHTML=ajax.responseText;
						var mensaje="Formaci&#243;n Acad&#233;mica registrado.";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);
						$("#txt_centro_estudio").val('');
						$("#txt_especialidad").val('');
						listarFormacionAcademica(Id);
						$('#bt_registrar_formacion').attr("disabled", false);
						$('#mensajes').fadeOut(1000);

                         
					}
					else
					{
						var mensaje=ajax.responseText;
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
						$('#mensajes').fadeOut(1000);
						$('#bt_registrar_formacion').attr("disabled", false);	
					}	
							     	
				}
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&Id="+Id+"&centro="+centro+"&especialidad="+especialidad+"&tipo="+tipo+"&nivel="+nivel+"&inicio="+inicio+"&termino="+termino+"&lugar="+lugar+"&num_orden="+num_orden)	
    }
    else
    {
      var mensaje="Error: Seleccione Tipo de Estudio.";
	  notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
    }
	
}



function cambiarClave()
{
	divResultado =document.getElementById('mensajes2');
    var id= $("#Id2").val();
    var usuario= $("#txt_usuario").val();
	var clave= $("#txt_cambiar_clave").val();
	
	var op=8;
			ajax=objetoAjax();
			$('#mensajes2').fadeIn(1000);
			divResultado.innerHTML='<div class="text-primary f-24"><i class="feather icon-loader rotate-refresh"></i></div>';
			ajax.open("POST", "procesos.php", true);
			$("#bt_cambiar_clave").attr("disabled", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{
						var mensaje="Acceso actualizado...";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);
						$('#mensajes2').fadeOut(1000);
						$("#txt_cambiar_clave").val('');
					}
					else
					{
						var mensaje=ajax.responseText;
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
					}	
							     	
				}
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&id="+id+"&clave="+clave+"&usuario="+usuario)
			
}



function listarFormacionAcademica(Id)
{
           divResultado =document.getElementById('resultado');
  	       var id=Id;
           var op=22;
          
			ajax=objetoAjax();
			divResultado.innerHTML='<div class="text-primary f-24"><i class="feather icon-loader rotate-refresh"></i></div>';
			ajax.open("POST", "procesos.php", true);
			ajax.onreadystatechange=function() {		
		    if (ajax.readyState==4) 
			 {
			   divResultado.innerHTML=ajax.responseText; 

			 }
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&id="+id) 
}

function actualizarOrdenRegistro()
{
	divResultado =document.getElementById('mensajes3');
    var id= $("#Id3").val();
	var orden= $("#cb_num_orden option:selected").val();
	
	var op=23;
			ajax=objetoAjax();
			$('#mensajes3').fadeIn(1000);
			divResultado.innerHTML='<div class="text-primary f-24"><i class="feather icon-loader rotate-refresh"></i></div>';
			ajax.open("POST", "procesos.php", true);
			$('#bt_actualizar_orden').attr("disabled", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{
						var mensaje="Orden Reg. actualizado...";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);
						$('#bt_actualizar_orden').attr("disabled", false);
						$('#mensajes3').fadeOut(1000);
					}
					else
					{
						var mensaje=ajax.responseText;
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
						$('#bt_actualizar_orden').attr("disabled", false);
						$('#mensajes3').fadeOut(1000);
					}	
						     	
				}
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&id="+id+"&orden="+orden)
						
}
function eliminarFormacionAcademica()
{
	divResultado =document.getElementById('mensajes4');
    var id= $("#Id4").val();
		
	var op=24;
			ajax=objetoAjax();
			$('#mensajes4').fadeIn(1000);
			divResultado.innerHTML='<div class="text-primary f-24"><i class="feather icon-loader rotate-refresh"></i></div>';
			ajax.open("POST", "procesos.php", true);
			$('#bt_eliminar').attr("disabled", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{
						var mensaje="Formaci&#243;n Acad&#233;mica Eliminada.";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);
						
						$('#mensajes4').fadeOut(1000);
						$('#bt_actualizar_orden').attr("disabled", true);
						$('#bt_actualizar_formacion').attr("disabled", true);
						$('#bt_actualizar_tipo').attr("disabled", true);
					}
					else
					{
						var mensaje=ajax.responseText;
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
						
						$('#mensajes4').fadeOut(1000);
					}	
						     	
				}
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&id="+id)
						
}
function actualizarFormacionAcademica()
{
	divResultado =document.getElementById('mensajes1');
    var id= $("#Id1").val();
	var centro= $("#txt_centro_estudio").val();
	var especialidad=$("#txt_especialidad").val();
	var inicio= $("#txt_inicio").val();
	var termino= $("#txt_termino").val();
	var lugar= $("#txt_lugar").val();

	var op=25;
			ajax=objetoAjax();
			$('#mensajes1').fadeIn(1000);
			divResultado.innerHTML='<div class="text-primary f-24"><i class="feather icon-loader rotate-refresh"></i></div>';
			$('#bt_actualizar_formacion').attr("disabled", true);
			ajax.open("POST", "procesos.php", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{
						//divResultado.innerHTML=ajax.responseText;
						var mensaje="Formaci&#243;n Acad. Actualizado.";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);
						$('#bt_actualizar_formacion').attr("disabled", false);
						$('#mensajes1').fadeOut(1000);     
					}
					else
					{
						var mensaje=ajax.responseText;
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);	
						$('#mensajes1').fadeOut(1000);
						$('#bt_actualizar_formacion').attr("disabled", false);
					}	
							     	
				}
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&id="+id+"&centro="+centro+"&especialidad="+especialidad+"&inicio="+inicio+"&termino="+termino+"&lugar="+lugar)	
}
function actualizarTipoEstudio()
{
	divResultado =document.getElementById('mensajes2');
    var id= $("#Id2").val();
	var tipo= $("#cb_tipo_estudio option:selected").val();
	var nivel= $("#cb_nivel option:selected").val();
    
    if(tipo>0)
    {
       var op=26;
			ajax=objetoAjax();
			$('#mensajes2').fadeIn(1000);
			divResultado.innerHTML='<div class="text-primary f-24"><i class="feather icon-loader rotate-refresh"></i></div>';
			$('#bt_actualizar_tipo').attr("disabled", true);
			ajax.open("POST", "procesos.php", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{
						//divResultado.innerHTML=ajax.responseText;
						var mensaje="Tipo Estudio actualizado.";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);
						$('#bt_actualizar_tipo').attr("disabled", false);
						$('#mensajes2').fadeOut(1000);     
					}
					else
					{
						var mensaje=ajax.responseText;
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
						$('#mensajes2').fadeOut(1000);
						$('#bt_actualizar_tipo').attr("disabled", false);	
					}	
							     	
				}
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&id="+id+"&tipo="+tipo+"&nivel="+nivel)	
    }
    else
    {
     var mensaje="Error: Selecccione Tipo de Estudio.";
	 notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
    }
	
}


	
function notify(from, align, icon, type, animIn, animOut,mensaje){
        $.growl({
            icon: icon,
            title: ' ',
            message: mensaje,
            url: ''
        },{
            element: 'body',
            type: type,
            allow_dismiss: true,
            placement: {
                from: from,
                align: align
            },
            offset: {
                x: 30,
                y: 30
            },
            spacing: 10,
            z_index: 999999,
            delay: 2500,
            timer: 1000,
            url_target: '_blank',
            mouse_over: false,
            animate: {
                enter: animIn,
                exit: animOut
            },
            icon_type: 'class',
            template: '<div data-growl="container" class="alert" role="alert">' +
            '<button type="button" class="close" data-growl="dismiss">' +
            '<span aria-hidden="true">&times;</span>' +
            '<span class="sr-only">Close</span>' +
            '</button>' +
            '<span data-growl="icon"></span>' +
            '<span data-growl="title"></span>' +
            '<span data-growl="message"></span>' +
            '<a href="#" data-growl="url"></a>' +
            '</div>'
        });
    }